@file:OptIn(InternalResourceApi::class)

package world.respect.shared.generated.resources

import kotlin.OptIn
import kotlin.String
import kotlin.collections.MutableMap
import org.jetbrains.compose.resources.InternalResourceApi
import org.jetbrains.compose.resources.ResourceItem
import org.jetbrains.compose.resources.StringResource

private const val MD: String = "composeResources/world.respect.shared.generated.resources/"

public val Res.string.raw_data: StringResource by lazy {
      StringResource("string:raw_data", "raw_data", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 8802, 28),
      ))
    }

public val Res.string.refresh: StringResource by lazy {
      StringResource("string:refresh", "refresh", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 8831, 27),
      ))
    }

public val Res.string.region: StringResource by lazy {
      StringResource("string:region", "region", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 8859, 22),
      ))
    }

public val Res.string.related_lessons: StringResource by lazy {
      StringResource("string:related_lessons", "related_lessons", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 8882, 43),
      ))
    }

public val Res.string.remove: StringResource by lazy {
      StringResource("string:remove", "remove", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 8969, 22),
      ))
    }

public val Res.string.remove_picture: StringResource by lazy {
      StringResource("string:remove_picture", "remove_picture", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 8926, 42),
      ))
    }

public val Res.string.report: StringResource by lazy {
      StringResource("string:report", "report", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9020, 22),
      ))
    }

public val Res.string.reports: StringResource by lazy {
      StringResource("string:reports", "reports", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 8992, 27),
      ))
    }

public val Res.string.required: StringResource by lazy {
      StringResource("string:required", "required", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9086, 32),
      ))
    }

public val Res.string.required_field: StringResource by lazy {
      StringResource("string:required_field", "required_field", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9043, 42),
      ))
    }

public val Res.string.retention_rate: StringResource by lazy {
      StringResource("string:retention_rate", "retention_rate", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9119, 42),
      ))
    }

public val Res.string.save: StringResource by lazy {
      StringResource("string:save", "save", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9162, 20),
      ))
    }

public val Res.string.school: StringResource by lazy {
      StringResource("string:school", "school", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9314, 22),
      ))
    }

public val Res.string.school_name_placeholder: StringResource by lazy {
      StringResource("string:school_name_placeholder", "school_name_placeholder", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9183, 63),
      ))
    }

public val Res.string.school_not_exist_error: StringResource by lazy {
      StringResource("string:school_not_exist_error", "school_not_exist_error", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9247, 66),
      ))
    }

public val Res.string.score_or_progress: StringResource by lazy {
      StringResource("string:score_or_progress", "score_or_progress", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9337, 49),
      ))
    }

public val Res.string.search: StringResource by lazy {
      StringResource("string:search", "search", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9387, 22),
      ))
    }

public val Res.string.second_unit: StringResource by lazy {
      StringResource("string:second_unit", "second_unit", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9410, 23),
      ))
    }

public val Res.string.select_app: StringResource by lazy {
      StringResource("string:select_app", "select_app", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9434, 34),
      ))
    }

public val Res.string.select_date: StringResource by lazy {
      StringResource("string:select_date", "select_date", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9469, 35),
      ))
    }

public val Res.string.select_picture_from_files: StringResource by lazy {
      StringResource("string:select_picture_from_files", "select_picture_from_files", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9505, 69),
      ))
    }

public val Res.string.select_picture_from_gallery: StringResource by lazy {
      StringResource("string:select_picture_from_gallery", "select_picture_from_gallery", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9575, 71),
      ))
    }

public val Res.string.select_template: StringResource by lazy {
      StringResource("string:select_template", "select_template", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9647, 43),
      ))
    }

public val Res.string.series: StringResource by lazy {
      StringResource("string:series", "series", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9728, 22),
      ))
    }

public val Res.string.series_title: StringResource by lazy {
      StringResource("string:series_title", "series_title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9691, 36),
      ))
    }

public val Res.string.share: StringResource by lazy {
      StringResource("string:share", "share", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9864, 21),
      ))
    }

public val Res.string.share_qr_code: StringResource by lazy {
      StringResource("string:share_qr_code", "share_qr_code", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9751, 41),
      ))
    }

public val Res.string.share_with_link_or_qr_code: StringResource by lazy {
      StringResource("string:share_with_link_or_qr_code", "share_with_link_or_qr_code", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9793, 70),
      ))
    }

public val Res.string.sign_in_faster: StringResource by lazy {
      StringResource("string:sign_in_faster", "sign_in_faster", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10057, 54),
      ))
    }

public val Res.string.sign_in_faster_description: StringResource by lazy {
      StringResource("string:sign_in_faster_description", "sign_in_faster_description", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 9886, 170),
      ))
    }

public val Res.string.sign_up: StringResource by lazy {
      StringResource("string:sign_up", "sign_up", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10235, 27),
      ))
    }

public val Res.string.sign_up_with_passkey: StringResource by lazy {
      StringResource("string:sign_up_with_passkey", "sign_up_with_passkey", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10112, 60),
      ))
    }

public val Res.string.sign_up_with_password: StringResource by lazy {
      StringResource("string:sign_up_with_password", "sign_up_with_password", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10173, 61),
      ))
    }

public val Res.string.signing_in: StringResource by lazy {
      StringResource("string:signing_in", "signing_in", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10263, 34),
      ))
    }

public val Res.string.signup_with_passkey: StringResource by lazy {
      StringResource("string:signup_with_passkey", "signup_with_passkey", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10298, 55),
      ))
    }

public val Res.string.something_went_wrong: StringResource by lazy {
      StringResource("string:something_went_wrong", "something_went_wrong", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10354, 56),
      ))
    }

public val Res.string.sort_by: StringResource by lazy {
      StringResource("string:sort_by", "sort_by", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10411, 27),
      ))
    }

public val Res.string.sql: StringResource by lazy {
      StringResource("string:sql", "sql", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10439, 15),
      ))
    }

public val Res.string.start_date_label: StringResource by lazy {
      StringResource("string:start_date_label", "start_date_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10455, 40),
      ))
    }

public val Res.string.students: StringResource by lazy {
      StringResource("string:students", "students", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10496, 28),
      ))
    }

public val Res.string.subgroup_by: StringResource by lazy {
      StringResource("string:subgroup_by", "subgroup_by", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10525, 35),
      ))
    }

public val Res.string.subject: StringResource by lazy {
      StringResource("string:subject", "subject", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10561, 27),
      ))
    }

public val Res.string.supported_by: StringResource by lazy {
      StringResource("string:supported_by", "supported_by", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10589, 40),
      ))
    }

public val Res.string.take_new_photo_from_camera: StringResource by lazy {
      StringResource("string:take_new_photo_from_camera", "take_new_photo_from_camera", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10630, 70),
      ))
    }

public val Res.string.task_completion_percentage: StringResource by lazy {
      StringResource("string:task_completion_percentage", "task_completion_percentage", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10701, 74),
      ))
    }

public val Res.string.teachers: StringResource by lazy {
      StringResource("string:teachers", "teachers", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10776, 28),
      ))
    }

public val Res.string.terms_and_conditions: StringResource by lazy {
      StringResource("string:terms_and_conditions", "terms_and_conditions", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10805, 56),
      ))
    }

public val Res.string.time_of_day: StringResource by lazy {
      StringResource("string:time_of_day", "time_of_day", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10862, 59),
      ))
    }

public val Res.string.time_range: StringResource by lazy {
      StringResource("string:time_range", "time_range", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10922, 34),
      ))
    }

public val Res.string.title: StringResource by lazy {
      StringResource("string:title", "title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10957, 21),
      ))
    }

public val Res.string.to_: StringResource by lazy {
      StringResource("string:to_", "to_", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10979, 15),
      ))
    }

public val Res.string.top_5_apps: StringResource by lazy {
      StringResource("string:top_5_apps", "top_5_apps", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 10995, 34),
      ))
    }

public val Res.string.top_5_languages: StringResource by lazy {
      StringResource("string:top_5_languages", "top_5_languages", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11030, 43),
      ))
    }

public val Res.string.top_5_lessons: StringResource by lazy {
      StringResource("string:top_5_lessons", "top_5_lessons", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11074, 41),
      ))
    }

public val Res.string.top_5_schools: StringResource by lazy {
      StringResource("string:top_5_schools", "top_5_schools", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11116, 41),
      ))
    }

public val Res.string.top_5_students: StringResource by lazy {
      StringResource("string:top_5_students", "top_5_students", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11158, 42),
      ))
    }

public val Res.string.total_content_usage_duration: StringResource by lazy {
      StringResource("string:total_content_usage_duration", "total_content_usage_duration", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11201, 76),
      ))
    }

public val Res.string.total_duration: StringResource by lazy {
      StringResource("string:total_duration", "total_duration", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11278, 42),
      ))
    }

public val Res.string.total_score: StringResource by lazy {
      StringResource("string:total_score", "total_score", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11321, 35),
      ))
    }

public val Res.string.try_it: StringResource by lazy {
      StringResource("string:try_it", "try_it", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11357, 22),
      ))
    }

public val Res.string.unit: StringResource by lazy {
      StringResource("string:unit", "unit", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11380, 20),
      ))
    }

public val Res.string.unknown_error: StringResource by lazy {
      StringResource("string:unknown_error", "unknown_error", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11401, 41),
      ))
    }

public val Res.string.unspecified: StringResource by lazy {
      StringResource("string:unspecified", "unspecified", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11443, 35),
      ))
    }

public val Res.string.untitled_report: StringResource by lazy {
      StringResource("string:untitled_report", "untitled_report", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11479, 43),
      ))
    }

public val Res.string.userId_label: StringResource by lazy {
      StringResource("string:userId_label", "userId_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11523, 28),
      ))
    }

public val Res.string.userId_placeholder: StringResource by lazy {
      StringResource("string:userId_placeholder", "userId_placeholder", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11552, 58),
      ))
    }

public val Res.string.user_role: StringResource by lazy {
      StringResource("string:user_role", "user_role", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11611, 57),
      ))
    }

public val Res.string.username_label: StringResource by lazy {
      StringResource("string:username_label", "username_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11669, 34),
      ))
    }

public val Res.string.username_required: StringResource by lazy {
      StringResource("string:username_required", "username_required", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11704, 53),
      ))
    }

public val Res.string.`value`: StringResource by lazy {
      StringResource("string:value", "value", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11758, 21),
      ))
    }

public val Res.string.waiting_for_approval_to_join: StringResource by lazy {
      StringResource("string:waiting_for_approval_to_join", "waiting_for_approval_to_join", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11780, 80),
      ))
    }

public val Res.string.waiting_title: StringResource by lazy {
      StringResource("string:waiting_title", "waiting_title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11861, 49),
      ))
    }

public val Res.string.weekly: StringResource by lazy {
      StringResource("string:weekly", "weekly", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11911, 22),
      ))
    }

public val Res.string.weeks: StringResource by lazy {
      StringResource("string:weeks", "weeks", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11934, 21),
      ))
    }

public val Res.string.x_axis: StringResource by lazy {
      StringResource("string:x_axis", "x_axis", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11956, 22),
      ))
    }

public val Res.string.y_axis: StringResource by lazy {
      StringResource("string:y_axis", "y_axis", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 11979, 22),
      ))
    }

public val Res.string.year: StringResource by lazy {
      StringResource("string:year", "year", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12047, 20),
      ))
    }

public val Res.string.yearly: StringResource by lazy {
      StringResource("string:yearly", "yearly", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12002, 22),
      ))
    }

public val Res.string.years: StringResource by lazy {
      StringResource("string:years", "years", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12025, 21),
      ))
    }

public val Res.string.your_dob_label: StringResource by lazy {
      StringResource("string:your_dob_label", "your_dob_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12068, 50),
      ))
    }

public val Res.string.your_gender_label: StringResource by lazy {
      StringResource("string:your_gender_label", "your_gender_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12119, 41),
      ))
    }

public val Res.string.your_name_label: StringResource by lazy {
      StringResource("string:your_name_label", "your_name_label", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12161, 39),
      ))
    }

public val Res.string.your_note: StringResource by lazy {
      StringResource("string:your_note", "your_note", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12201, 69),
      ))
    }

public val Res.string.your_profile_title: StringResource by lazy {
      StringResource("string:your_profile_title", "your_profile_title", setOf(
        ResourceItem(setOf(), "${MD}values/strings.commonMain.cvr", 12271, 42),
      ))
    }

@InternalResourceApi
internal fun _collectCommonMainString2Resources(map: MutableMap<String, StringResource>) {
  map.put("raw_data", Res.string.raw_data)
  map.put("refresh", Res.string.refresh)
  map.put("region", Res.string.region)
  map.put("related_lessons", Res.string.related_lessons)
  map.put("remove", Res.string.remove)
  map.put("remove_picture", Res.string.remove_picture)
  map.put("report", Res.string.report)
  map.put("reports", Res.string.reports)
  map.put("required", Res.string.required)
  map.put("required_field", Res.string.required_field)
  map.put("retention_rate", Res.string.retention_rate)
  map.put("save", Res.string.save)
  map.put("school", Res.string.school)
  map.put("school_name_placeholder", Res.string.school_name_placeholder)
  map.put("school_not_exist_error", Res.string.school_not_exist_error)
  map.put("score_or_progress", Res.string.score_or_progress)
  map.put("search", Res.string.search)
  map.put("second_unit", Res.string.second_unit)
  map.put("select_app", Res.string.select_app)
  map.put("select_date", Res.string.select_date)
  map.put("select_picture_from_files", Res.string.select_picture_from_files)
  map.put("select_picture_from_gallery", Res.string.select_picture_from_gallery)
  map.put("select_template", Res.string.select_template)
  map.put("series", Res.string.series)
  map.put("series_title", Res.string.series_title)
  map.put("share", Res.string.share)
  map.put("share_qr_code", Res.string.share_qr_code)
  map.put("share_with_link_or_qr_code", Res.string.share_with_link_or_qr_code)
  map.put("sign_in_faster", Res.string.sign_in_faster)
  map.put("sign_in_faster_description", Res.string.sign_in_faster_description)
  map.put("sign_up", Res.string.sign_up)
  map.put("sign_up_with_passkey", Res.string.sign_up_with_passkey)
  map.put("sign_up_with_password", Res.string.sign_up_with_password)
  map.put("signing_in", Res.string.signing_in)
  map.put("signup_with_passkey", Res.string.signup_with_passkey)
  map.put("something_went_wrong", Res.string.something_went_wrong)
  map.put("sort_by", Res.string.sort_by)
  map.put("sql", Res.string.sql)
  map.put("start_date_label", Res.string.start_date_label)
  map.put("students", Res.string.students)
  map.put("subgroup_by", Res.string.subgroup_by)
  map.put("subject", Res.string.subject)
  map.put("supported_by", Res.string.supported_by)
  map.put("take_new_photo_from_camera", Res.string.take_new_photo_from_camera)
  map.put("task_completion_percentage", Res.string.task_completion_percentage)
  map.put("teachers", Res.string.teachers)
  map.put("terms_and_conditions", Res.string.terms_and_conditions)
  map.put("time_of_day", Res.string.time_of_day)
  map.put("time_range", Res.string.time_range)
  map.put("title", Res.string.title)
  map.put("to_", Res.string.to_)
  map.put("top_5_apps", Res.string.top_5_apps)
  map.put("top_5_languages", Res.string.top_5_languages)
  map.put("top_5_lessons", Res.string.top_5_lessons)
  map.put("top_5_schools", Res.string.top_5_schools)
  map.put("top_5_students", Res.string.top_5_students)
  map.put("total_content_usage_duration", Res.string.total_content_usage_duration)
  map.put("total_duration", Res.string.total_duration)
  map.put("total_score", Res.string.total_score)
  map.put("try_it", Res.string.try_it)
  map.put("unit", Res.string.unit)
  map.put("unknown_error", Res.string.unknown_error)
  map.put("unspecified", Res.string.unspecified)
  map.put("untitled_report", Res.string.untitled_report)
  map.put("userId_label", Res.string.userId_label)
  map.put("userId_placeholder", Res.string.userId_placeholder)
  map.put("user_role", Res.string.user_role)
  map.put("username_label", Res.string.username_label)
  map.put("username_required", Res.string.username_required)
  map.put("value", Res.string.`value`)
  map.put("waiting_for_approval_to_join", Res.string.waiting_for_approval_to_join)
  map.put("waiting_title", Res.string.waiting_title)
  map.put("weekly", Res.string.weekly)
  map.put("weeks", Res.string.weeks)
  map.put("x_axis", Res.string.x_axis)
  map.put("y_axis", Res.string.y_axis)
  map.put("year", Res.string.year)
  map.put("yearly", Res.string.yearly)
  map.put("years", Res.string.years)
  map.put("your_dob_label", Res.string.your_dob_label)
  map.put("your_gender_label", Res.string.your_gender_label)
  map.put("your_name_label", Res.string.your_name_label)
  map.put("your_note", Res.string.your_note)
  map.put("your_profile_title", Res.string.your_profile_title)
}
